> ## Documentation Index
> Fetch the complete documentation index at: https://docs.govly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Opportunity

> Retrieve a specific opportunity by ID

# Get Opportunity

## Path Parameters

<ParamField path="id" type="string" required>
  The ID of the opportunity to retrieve. This can be found in the opportunity URL.
  For example, given the URL `https://www.govly.com/app/opportunities/8180377`, the ID would be `8180377`.
</ParamField>

## Response

<ResponseField name="id" type="string">
  The unique identifier for the opportunity
</ResponseField>

<ResponseField name="displayName" type="string">
  The display name of the opportunity
</ResponseField>

<ResponseField name="description" type="string">
  The full description of the opportunity
</ResponseField>

<ResponseField name="contractVehicle" type="object">
  <Expandable title="properties">
    <ResponseField name="contractName" type="string">
      Name of the contract vehicle
    </ResponseField>

    <ResponseField name="id" type="string">
      ID of the contract vehicle
    </ResponseField>

    <ResponseField name="slug" type="string">
      URL-friendly identifier for the contract vehicle
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="customer" type="object">
  Details about the customer organization
</ResponseField>

<ResponseField name="locations" type="array">
  Array of location objects associated with the opportunity
</ResponseField>

<ResponseField name="aggregateAttachments" type="array">
  Array of attachment objects associated with the opportunity
</ResponseField>

## Example Request

```bash theme={null}
curl --location 'https://app.govly.com/api/v3/opportunities/8180377' \
--header 'X-API-KEY: your-api-key'
```

<RequestExample>
  ```bash Request theme={null}
  curl --location 'https://app.govly.com/api/v3/opportunities/8180377' \
  --header 'X-API-KEY: your-api-key'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "8180377",
    "displayName": "SEWP V #94039043",
    "contractVehicle": {
      "contractName": "SEWP V",
      "id": "1",
      "slug": "sewp-v"
    },
    "description": "The Office of Information & Technology (OIT)...",
    "customer": {
      "name": "Department of Veterans Affairs",
      "id": "3375"
    },
    "locations": [
      {
        "city": "Eatontown",
        "country": "United States",
        "countryCode": "US",
        "postalCode": "07724"
      }
    ]
  }
  ```
</ResponseExample>
